DROP TABLE TRIP if exists cascade;
CREATE TABLE TRIP (
   TRIP_ID INTEGER NOT NULL PRIMARY KEY,
   NAME VARCHAR(50) NOT NULL,
   IMAGE VARCHAR(200),
   DESCRIPTION VARCHAR(1000),
   PRICE DOUBLE PRECISION NOT NULL,
   DATE_START DATE,
   DATE_END DATE,
   TEASER VARCHAR(300) );

COMMIT;

INSERT INTO TRIP (
TRIP_ID, NAME, IMAGE, DESCRIPTION, PRICE, DATE_START, DATE_END, TEASER )
VALUES( 6,'Radical Rafting','images/trip6.jpg','On this trip of a lifetime, we will journey down 100 miles of the infamous Upper Bend Split Fork River located in the heart of Utah. Beginning at 9276 feet in elevation, the Upper Bend Split Fork River winds its way through alpine forests and mile high canyons, past the nesting ground of the Utah Desert Sky bird and into beautiful Lake Young at the southern tip of Utah. Throughout our 100 mile trek, we will encounter class 2-5 rapids and eat fresh fish for every meal. If you tire of fish, do not worry, we will have an ample supply of Powerbars. Day time temperatures average in the 90s while night time temperatures hover in the 40s.',1795.99,'2001-11-15','2001-11-30','On this trip of a lifetime, we will journey down 100 miles of the infamous Upper Bend Split Fork River located in the heart of Utah.');
INSERT INTO TRIP ( TRIP_ID, NAME, IMAGE, DESCRIPTION, PRICE, DATE_START, DATE_END, TEASER ) VALUES( 1,'Rip Roarin Rapids','images/trip1.jpg','Get wet and wild on this excursion to the mile high setting of the Colorado river. we will journey through 100 miles of rapids on custom made rafts. This adventure will leave you breathless where we leave behind civilization and journey to the innards of the Colorado river. You will have no time to worry about your troubles as we move from class two through class five rapids through the course of this trip. we will also find time to hike, hunt and explore ancient ruins at designated stopping points on our route. This trip is all inclusive so all you will need to bring is a pair of shorts and Tevas.',1395.99,'2001-08-01','2001-08-05','Get wet and wild on this excursion to the mile high setting of the Colorado river. we will journey through 100 miles of rapids on custom made rafts.');
INSERT INTO TRIP ( TRIP_ID, NAME, IMAGE, DESCRIPTION, PRICE, DATE_START, DATE_END, TEASER ) VALUES( 2,'Desert Trek','images/trip2.jpg','Come join us for 14 days in the Sahara desert. See the natural beauty and geological texture of the 11th wonder of the world. Be sure to pack your sun screen! Sometimes referred to as the most beautiful area in the universe, the Saharan desert is sure to amaze you with a wonderful expanse of river beaches, animal-rich surroundings, subtropical forests and a human history that traces the origins of man. On this adventure, we will explore the desert on foot traversing the African wilderness where we will be eating fresh game for dinner each night under the stars. Remember to bring your ghost stories.',1195,'2001-11-01','2001-11-03','Come join us for 14 days in the Saharan desert. See the natural beauty and geological texture of the 11th wonder of the world.');
INSERT INTO TRIP ( TRIP_ID, NAME, IMAGE, DESCRIPTION, PRICE, DATE_START, DATE_END, TEASER ) VALUES( 3,'Deep Sea Diving','images/trip3.jpg','Dive to the great depths of the ocean on this trip that is guaranteed to take you to the deepest depths of the ocean. All scuba gear is included. On this adventure, we will be diving 83 miles off the coast of Australia far away from the hustle and bustle of the city life. we will have three dives scheduled for each day where you will have a chance to see sharks, starfish, goldfish and crabs. At night, we will camp in the Outback and journey on hiking trips looking for kangaroos and kaolas. At the end of the trip we will have a special visit from a cast member of Survivor Australia.',1695,'2001-08-15','2001-08-20','Dive to the great depths of the ocean on this trip that is guaranteed to take you to the deepest depths of the ocean. All scuba gear is included.');

INSERT INTO TRIP ( TRIP_ID, NAME, IMAGE, DESCRIPTION, PRICE, DATE_START, DATE_END, TEASER ) VALUES( 4,'Hideaway Diving','images/trip4.jpg','The warm, reef-fringed waters and laid back atmosphere of Hideaway Island provides the ideal vacation for those seeking a respite from daily life. Spend 14 days and 13 nights exploring this exclusive island that is home to our premier Compass Travel hotel resort. Each day you will have a choice of four dives that cater to all levels of divers. In addition, we will also have special dives for shark and piranha feeding. At night, you will have the choice of relaxing in your beachside cabana or dancing the night away at our very own Club 408. All diving gear is included.',1596.99,'2001-09-01','2001-09-15','The warm, reef-fringed waters and laid back atmosphere of Hideaway Island provides the ideal vacation for those seeking a respite from daily life.');
INSERT INTO TRIP ( TRIP_ID, NAME, IMAGE, DESCRIPTION, PRICE, DATE_START, DATE_END, TEASER ) VALUES( 5,'Hiking the Outback','images/trip5.jpg','Retrace the steps of Survivor Australia on this exciting and invigorating hiking trip through the Australian outback. During this trip we will simulate the challenges the Survivor contestants faced and retrace the final steps of Colby and Tina. At the end of the trip, we will visit the Tribal Council site where all was won and lost. Unlike the Survivors, you will have an abundance of food to choose from and the proper clothing for storms that we might encounter. Be sure to pack you appetite for kangaroo.',1169.99,'2001-10-21','2001-11-04','Retrace the steps of Survivor Australia on this exciting and invigorating hiking trip through the Australian outback.');

COMMIT;

DROP TABLE USER if exists cascade;
CREATE TABLE USER (
   USER_ID VARCHAR(25) NOT NULL PRIMARY KEY,
   FIRST_NAME VARCHAR(20) NOT NULL,
   LAST_NAME VARCHAR(20) NOT NULL,
   ADDRESS VARCHAR(50),
   CITY VARCHAR(30),
   STATE CHARACTER(3),
   ZIP CHARACTER(10),
   COUNTRY VARCHAR(30),
   PHONE VARCHAR(20),
   EMAIL VARCHAR(50),
   PASSWORD VARCHAR(15) NOT NULL );

COMMIT;

INSERT INTO USER (
USER_ID, FIRST_NAME, LAST_NAME, ADDRESS, CITY, STATE, ZIP, COUNTRY, PHONE, EMAIL, PASSWORD )
VALUES( 
'john','John','Smith',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'john');
INSERT INTO USER (
USER_ID, FIRST_NAME, LAST_NAME, ADDRESS, CITY, STATE, ZIP, COUNTRY, PHONE, EMAIL, PASSWORD )
VALUES( 
'mary','Mary','Jones',NULL,NULL,NULL,NULL,NULL,NULL,NULL,'mary'
);

COMMIT;

DROP TABLE ORDERS if exists cascade;
CREATE TABLE ORDERS (
   ORDER_ID INTEGER NOT NULL PRIMARY KEY,
   USER_ID VARCHAR(25) NOT NULL,
   TRIP_ID INTEGER NOT NULL,
   CC_TYPE CHARACTER(5),
   CC_NUMBER VARCHAR(20),
   CC_EXPIRATION CHARACTER(5),
   ORDER_DATE DATE DEFAULT 'CURRENT_DATE' ,
   FOREIGN KEY (USER_ID) REFERENCES USER(USER_ID),
   FOREIGN KEY (TRIP_ID) REFERENCES TRIP(TRIP_ID));
COMMIT;


DROP TABLE PARTNER_ORDERS if exists cascade;
CREATE TABLE PARTNER_ORDERS (
   ORDER_ID INTEGER NOT NULL PRIMARY KEY,
   FIRST_NAME VARCHAR(20) NOT NULL,
   LAST_NAME VARCHAR(20) NOT NULL,
   TRIP_ID INTEGER NOT NULL,
   CC_TYPE CHARACTER(5),
   CC_NUMBER VARCHAR(20),
   CC_EXPIRATION CHARACTER(5),
   ORDER_DATE DATE DEFAULT 'CURRENT_DATE' ,
   FOREIGN KEY (TRIP_ID) REFERENCES TRIP(TRIP_ID));

COMMIT;

DROP TABLE SEQUENCE if exists cascade;
CREATE TABLE SEQUENCE (
   SEQUENCE_ID VARCHAR(25) NOT NULL PRIMARY KEY,
   LASTKEY INTEGER );

COMMIT;

INSERT INTO SEQUENCE (
SEQUENCE_ID, LASTKEY )
VALUES(  'order',1);

INSERT INTO SEQUENCE (
SEQUENCE_ID, LASTKEY )
VALUES(  'partner_order',1
);

COMMIT;

