package compass;

import java.sql.Connection;
import javax.naming.InitialContext;
import javax.sql.DataSource;
import java.sql.Statement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

/**
 * <h2>Compass travel application</h2>
 * <p>This class manages reservations.
 * Demonstration purposes only. Not used in the sample application.</p>
 */
public class Reservation {

  public int reserve(int tripId, String firstName, String lastName, String ccType, String ccNumber, String ccExpiration) {

    int orderId=0;
    String sql="INSERT INTO partner_orders (order_id, trip_id, first_name, last_name, cc_type, cc_number, cc_expiration) VALUES (?, ?, ?, ?, ?, ?, ?)";

    Connection connection = null;

    try {
      //InitialContext ctx = new InitialContext();
      //DataSource ds = (DataSource) ctx.lookup("java:comp/env/jdbc/compass");
      connection=ConnectionHelper.getConnection();
      System.out.println("Connected\n");

      if (connection != null)
      {

      	// Generate a new reservation id
      	Statement stmt = connection.createStatement();
      	stmt.executeUpdate("UPDATE sequence SET lastkey=lastkey+1 WHERE sequence_id='partner_order'");
      	ResultSet rs = stmt.executeQuery("SELECT lastkey FROM sequence WHERE sequence_id='partner_order'");
      	rs.next();
      	orderId=rs.getInt(1);
      	System.out.println("Partner Order id: "+orderId);
	
      	// Insert the reservation
      	PreparedStatement ps = connection.prepareStatement(sql);
      	ps.setInt(1, orderId);
      	ps.setInt(2, tripId);
      	ps.setString(3, firstName);
      	ps.setString(4, lastName);
      	ps.setString(5, ccType);
      	ps.setString(6, ccNumber);
      	ps.setString(7, ccExpiration);
      	ps.executeUpdate();
      }

    } catch (Exception e) {
      System.out.println(e);
    } finally {
      try {
        connection.close();
      } catch (Exception e) {
      }
    }

    return orderId;

  }

}
