package compass;

import java.sql.Connection;
import java.sql.Statement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import javax.naming.InitialContext;
import javax.sql.DataSource;
import java.util.ArrayList;


/**
 * <h2>Compass travel application</h2>
 * <p>This class ia a JavaBean that manages trips.
 * Demonstration purposes only. Not used in the sample application.</p>
 */public class Trip {

    public String echo(String s) {
      return s;
    }

   /**
    * Retrieves a trip and returns it encapsulated in a TripInfo object.
    * @param tripID - Trip ID
    */
   public TripInfo getInfo(int tripId) {

    String sql="SELECT trip_id, name, teaser, description, image, price, date_start, date_end FROM trip WHERE trip_id=?";
    Connection connection = null;
    TripInfo tripInfo=null;

    try {
      InitialContext ctx = new InitialContext();
      DataSource ds = (DataSource) ctx.lookup("java:comp/env/jdbc/compass");
      connection=ds.getConnection();
      PreparedStatement ps = connection.prepareStatement(sql);
      ps.setInt(1, tripId);
      ResultSet rs = ps.executeQuery();

      if (rs.next()) {
        tripInfo = new TripInfo();
        tripInfo.setId(rs.getInt("trip_id"));
        tripInfo.setName(rs.getString("name"));
        tripInfo.setTeaser(rs.getString("teaser"));
        tripInfo.setDescription(rs.getString("description"));
        tripInfo.setImage(rs.getString("image"));
        tripInfo.setPrice(rs.getDouble("price"));
        tripInfo.setStartDate(rs.getDate("date_start").toString());
        tripInfo.setEndDate(rs.getDate("date_end").toString());
      }

    } catch (Exception e) {
      System.out.println(e);
    } finally {
      try {
        connection.close();
      } catch (Exception e) {
      }
    }

    return tripInfo;

  }

   /**
    * Returns all trips encapsulated in an array of TripInfo objects.
    */
   public TripInfo[] getList() {

    String sql="SELECT trip_id, name, teaser, description, image, price, date_start, date_end FROM trip";
    ArrayList list = new ArrayList();
    Connection connection = null;

    try {
      InitialContext ctx = new InitialContext();
      DataSource ds = (DataSource) ctx.lookup("compass");
      connection=ds.getConnection();
      Statement stmt = connection.createStatement();
      ResultSet rs = stmt.executeQuery(sql);
      TripInfo tripInfo=null;


      while (rs.next()) {
        tripInfo = new TripInfo();
        tripInfo.setId(rs.getInt("trip_id"));
        tripInfo.setName(rs.getString("name"));
        tripInfo.setTeaser(rs.getString("teaser"));
        tripInfo.setDescription(rs.getString("description"));
        tripInfo.setImage(rs.getString("image"));
        tripInfo.setPrice(rs.getDouble("price"));
        tripInfo.setStartDate(rs.getDate("date_start").toString());
        tripInfo.setEndDate(rs.getDate("date_end").toString());

        list.add(tripInfo);

      }

    } catch (Exception e) {
      System.out.println(e);
    } finally {
      try {
        connection.close();
      } catch (Exception e) {
      }
    }

    TripInfo[] i=new TripInfo[list.size()];
    return (TripInfo[]) list.toArray(i);

  }

}