package compass;

/**
 * <h2>Compass travel application</h2>
 * <p>This class ia a JavaBean that the Trip class
 * uses to encapsulate information for a trip that is offered for sale.
 * Demonstration purposes only. Not used in the sample application.</p>
 */
public class TripInfo implements java.io.Serializable {

    private int id;
    private java.lang.String name;
    private java.lang.String teaser;
    private java.lang.String description;
    private java.lang.String image;
    private double price;
    private java.lang.String startDate;
    private java.lang.String endDate;

    /**
	 * Empty constructor. If you use this constructor, you must
	 * use the set methods to define the trip.
	 */
	public TripInfo() {
    }

    /**
	 * <p>Constructor that accepts fields that define a trip.</p>
	 * @param id - Trip ID
	 * @param name - Trip name
	 * @param teaser - Teaser text for a trip
	 * @param description - Complete description for the trip
	 * @param image - Filename of the image used for the trip
	 * @param price - Trip price
	 * @param startDate - Start date
	 * @param endDate - End date 	 	 	 	 	 	 
	 */
	public TripInfo(int id, java.lang.String name, java.lang.String teaser, java.lang.String description, java.lang.String image, double price, java.lang.String startDate, java.lang.String endDate) {
        this.id = id;
        this.name = name;
        this.teaser = teaser;
        this.description = description;
        this.image = image;
        this.price = price;
        this.startDate = startDate;
        this.endDate = endDate;
    }

    /**
	 * Retrieves the trip ID
	 */
	public int getId() {
        return id;
    }

    /**
     * Sets the trip ID
	 * @param id - Trip ID
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * Retrieves the trip name
     */
    public java.lang.String getName() {
        return name;
    }

    /**
     * Sets the trip name
     * @param name - Trip name
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }

    /**
     * Retrieves the teaser
     */
    public java.lang.String getTeaser() {
        return teaser;
    }

    /**
     * Sets the teaser text
     * @param teaser - teaser text
     */
    public void setTeaser(java.lang.String teaser) {
        this.teaser = teaser;
    }

    /**
     * Retrieves the description
     */
    public java.lang.String getDescription() {
        return description;
    }

    /**
     * Sets the description
     * @param description - Trip description
     */
    public void setDescription(java.lang.String description) {
        this.description = description;
    }

    /**
     * Retrieves the filename for the image
     */
    public java.lang.String getImage() {
        return image;
    }

    /**
     * Sets the image filename
     * @param image - Image filename
     */
    public void setImage(java.lang.String image) {
        this.image = image;
    }

    /**
     * Retrieves the price
     */
    public double getPrice() {
        return price;
    }

    /**
     * Sets the price
     * @param price - Trip price
     */
    public void setPrice(double price) {
        this.price = price;
    }

    /**
     * Retrieves the start date
     */
    public String getStartDate() {
        return startDate;
    }

    /**
     * Sets the start date
     * @param startDate - Trip start date
     */
    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    /**
     * Retrieves the end date
     */
    public String getEndDate() {
        return endDate;
    }

    /**
     * Sets the end date
     * @param endDate - Trip end date
     */
    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }

}
